Bug 1167408 - Cups is failing to poll Printers containing a "_" in the Name
Summary: Cups is failing to poll Printers containing a "_" in the Name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cups-filters
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
Jana Heves
URL:
Whiteboard:
: 1230862 (view as bug list)
Depends On:
Blocks: 1205796 1133060
TreeView+ depends on / blocked
 
Reported: 2014-11-24 16:38 UTC by Oliver Haessler
Modified: 2019-07-11 08:23 UTC (History)
4 users (show)

Fixed In Version: cups-filters-1.0.35-18.el7
Doc Type: Bug Fix
Doc Text:
*cups* now allows underscore in printer names The *cups* service now allows users to include the underscore character (_) in local printer names.
Clone Of:
Environment:
Last Closed: 2015-11-19 12:07:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2360 normal SHIPPED_LIVE Moderate: cups-filters security, bug fix, and enhancement update 2015-11-19 10:41:12 UTC

Description Oliver Haessler 2014-11-24 16:38:28 UTC
Description of problem:
When polling cups printers form a cups server and Printers containing "_" in the name, the client shows the printers with "-" instead. This makes the Print Queue not available any longer.

Version-Release number of selected component (if applicable):
cups-1.6.3-14.el7

How reproducible:
Every time you poll for a Printer with "_" in the Name

Steps to Reproduce:
1. set the BrowsePoll in /etc/cups/cups-browsed.conf to a server containing Printers with "_" in the name
2. systemctl restart cups-browsed.service

Actual results:
Printers are shown with "-" in the name

Expected results:
Printers should appear with "_" in the Name as shown on the cups server

Additional info:

Comment 2 Oliver Haessler 2014-11-24 17:30:12 UTC
Workaround: in /etc/cups/client.conf add: ServerName <servername>

but it should work to just put it in cups-browsed.conf

Comment 3 Tim Waugh 2014-11-26 17:22:00 UTC
Confirmed.

Reported upstream:
  https://bugs.linuxfoundation.org/show_bug.cgi?id=1241

Comment 4 Tim Waugh 2014-11-27 12:08:08 UTC
Fixed upstream in revision 7306.

Comment 5 Oliver Haessler 2014-12-04 14:41:30 UTC
is there a way to get this fix into RHEL 7?

Comment 6 Oliver Haessler 2014-12-08 15:17:05 UTC
any news on this? Is there any further info needed?

This is affecting all my users printing on RHEL 7.

Comment 12 Harold Miller 2014-12-10 17:20:59 UTC
Support case 01313835  attached. RH CSB team is requesting we move the fix up if possible.

Comment 15 Tim Waugh 2015-06-16 15:56:11 UTC
*** Bug 1230862 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2015-11-19 12:07:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2360.html


Note You need to log in before you can comment on or make changes to this bug.